### Method

# Ide Debugger emit_breakpoint_added

#### Declaration

    void
    ide_debugger_emit_breakpoint_added (
      IdeDebugger* self,
      IdeDebuggerBreakpoint* breakpoint
    )

#### Description

Emits the `IdeDebugger::breakpoint-added` signal.

Debugger implementations should call this when a new breakpoint has been registered with the debugger.

If a breakpoint has changed, you should use `ide_debugger_emit_breakpoint_modified()` to notify of the modification.

Available since: | 3.32

#### Parameters

`breakpoint` | `IdeDebuggerBreakpoint`
| An `IdeDebuggerBreakpoint`.
| The data is owned by the caller of the function.